Package commoble.morered.wire_post

# Class SyncPostsInChunkPacket

java.lang.Object
commoble.morered.wire_post.SyncPostsInChunkPacket

public class SyncPostsInChunkPacket extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SyncPostsInChunkPacket`
`BAD_PACKET`
`static final com.mojang.serialization.Codec<net.minecraft.world.level.ChunkPos>`
`CHUNK_POS_CODEC`
`static final com.mojang.serialization.Codec<SyncPostsInChunkPacket>`
`CODEC`

## Constructor Summary

Constructors
Constructor
Description
`SyncPostsInChunkPacket(net.minecraft.world.level.ChunkPos chunkPos, Set<net.minecraft.core.BlockPos> inChunk)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.level.ChunkPos`
`getChunkPos()`
`Set<net.minecraft.core.BlockPos>`
`getPostsInChunk()`
`void`
`handle(Supplier<net.minecraftforge.network.NetworkEvent.Context> contextGetter)`
`static SyncPostsInChunkPacket`
`read(net.minecraft.network.FriendlyByteBuf buffer)`
`void`
`write(net.minecraft.network.FriendlyByteBuf buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CHUNK_POS_CODEC

public static final com.mojang.serialization.Codec<net.minecraft.world.level.ChunkPos> CHUNK_POS_CODEC

### CODEC

public static final com.mojang.serialization.Codec<SyncPostsInChunkPacket> CODEC

### BAD_PACKET

public static final SyncPostsInChunkPacket BAD_PACKET

## Constructor Details

### SyncPostsInChunkPacket

public SyncPostsInChunkPacket(net.minecraft.world.level.ChunkPos chunkPos, Set<net.minecraft.core.BlockPos> inChunk)

## Method Details

### getChunkPos

public net.minecraft.world.level.ChunkPos getChunkPos()

### getPostsInChunk

public Set<net.minecraft.core.BlockPos> getPostsInChunk()

### write

public void write(net.minecraft.network.FriendlyByteBuf buffer)

### read

public static SyncPostsInChunkPacket read(net.minecraft.network.FriendlyByteBuf buffer)

### handle

public void handle(Supplier<net.minecraftforge.network.NetworkEvent.Context> contextGetter)